## Get Status **get** `/api/status` Retrieve the current status of a message using its message handle. Useful for resolving pending message statuses and avoiding duplicate messages. ### Query Parameters - `handle: string` The message handle of the message you want to check status for ### Returns - `MessageResponse = object { account_email, content, date_created, 10 more }` - `account_email: optional string` Email of the account that sent the message - `content: optional string` Message content - `date_created: optional string` When the message was created - `date_updated: optional string` When the message was last updated - `error_code: optional number` Numeric error code if message failed - `error_message: optional string` Error message if message failed - `from_number: optional string` Sending phone number - `is_outbound: optional boolean` Whether this is an outbound message - `media_url: optional string` URL of attached media - `message_handle: optional string` Unique identifier for tracking the message - `number: optional string` Recipient phone number - `send_style: optional "celebration" or "shooting_star" or "fireworks" or 10 more` The iMessage expressive message style - `"celebration"` - `"shooting_star"` - `"fireworks"` - `"lasers"` - `"love"` - `"confetti"` - `"balloons"` - `"spotlight"` - `"echo"` - `"invisible"` - `"gentle"` - `"loud"` - `"slam"` - `status: optional "QUEUED" or "SENT" or "DELIVERED" or "ERROR"` - `"QUEUED"` - `"SENT"` - `"DELIVERED"` - `"ERROR"` ### Example ```http curl https://api.sendblue.co/api/status \ -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \ -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" ```